Skip to main content
GET
Get company funding rounds

Authorizations

X-API-Key
string
header
required

Path Parameters

companyId
string
required

The Specter company ID.

Query Parameters

funding_announced_date_after
string<date> | null

Only return funding rounds announced on or after this date (YYYY-MM-DD, inclusive).

Example:

"2026-06-01"

funding_announced_date_before
string<date> | null

Only return funding rounds announced on or before this date (YYYY-MM-DD, inclusive).

Example:

"2026-06-30"

limit
integer
default:50

The number of results to return per page (minimum 1, maximum 50, default 50). A page is the unit these endpoints are priced in, so it cannot be widened beyond 50.

Required range: 1 <= x <= 50
page
integer
default:0

The page number of results to return, base 0, default is 0.

Required range: x >= 0

Response

A paginated list of funding rounds for this company.

funding_round_id
string
required

The Specter funding round ID.

Example:

"fnr_6ac8f4058536c08a85f052e7"

name
string
required

The display name of the funding round.

Example:

"Angel Round - Best Apps Market"

company_name
string
required

The funded company's name.

Example:

"Best Apps Market"

company_id
string | null

The Specter company ID of the funded company. Use with Get company by ID to fetch the full company record.

Example:

"5e3bc2b700c8f4c966ad2bbd"

investment_type
string | null

The investment type for this round.

Example:

"Angel"

announced_on
string<date> | null

The date (YYYY-MM-DD) the round was announced.

Example:

"2011-05-10"

raised_amount_usd
number | null

The amount raised in USD.

Example:

20000000

pre_money_valuation_usd
number | null

The reported pre-money valuation in USD.

Example:

80000000

post_money_valuation_usd
number | null

The reported post-money valuation in USD.

Example:

100000000

investor_count
integer | null

Total number of investors that participated in this round.

Example:

1

investors
BasicInvestorInfo · object[]

All investors that participated in this round.